org.apache.fop.util

## Class DOM2SAX

- java.lang.Object
- - org.apache.fop.util.DOM2SAX

    public class DOM2SAX
    extends Object

Helper class that produces a SAX stream from a DOM Document.

Part of the code here copied and adapted from Apache Xalan-J, src/org/apache/xalan/xsltc/trax/DOM2SAX.java

### Constructor Summary

Constructors
Constructor and Description
`DOM2SAX(ContentHandler handler)` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `writeDocument(Document doc, boolean fragment)` Writes the given document using the given ContentHandler.
`void` `writeFragment(Node node)` Writes the given fragment using the given ContentHandler.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DOM2SAX

    public DOM2SAX(ContentHandler handler)

Main constructor

Parameters:
  `handler` - the ContentHandler to send SAX events to

### Method Detail

#### writeDocument

    public void writeDocument(Document doc,
                              boolean fragment)
                       throws SAXException

Writes the given document using the given ContentHandler.

Parameters:
  `doc` - DOM document
  `fragment` - if false no startDocument() and endDocument() calls are issued.
Throws:
  `SAXException` - In case of a problem while writing XML

#### writeFragment

    public void writeFragment(Node node)
                       throws SAXException

Writes the given fragment using the given ContentHandler.

Parameters:
  `node` - DOM node
Throws:
  `SAXException` - In case of a problem while writing XML